## lshw 01.03

=== Makefile ===
PACKAGENAME = lshw
SNAPSHOT=0.`cat .timestamp`

DESTDIR=
PREFIX=/usr
SBINDIR=$(PREFIX)/sbin
MANDIR=$(PREFIX)/share/man

CXX=c++
CXXFLAGS=-g -Wall
LDFLAGS=
LIBS=

OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia.o scsi.o disk.o spd.o network.o isapnp.o pnp.o
SRCS = $(OBJS:.o=.cc)

all: $(PACKAGENAME) $(PACKAGENAME).1

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

$(PACKAGENAME): $(OBJS)
	$(CXX) $(LDFLAGS) -o $@ $(LIBS) $^

$(PACKAGENAME).1: $(PACKAGENAME).sgml
	docbook2man $<

oui.txt:
	wget http://standards.ieee.org/regauth/oui/oui.txt

manuf.txt:
	wget http://www.ethereal.com/distribution/manuf.txt

install: all
	-mkdir -p $(DESTDIR)
	-mkdir -p $(DESTDIR)/$(SBINDIR)
	cp $(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
	-mkdir -p $(DESTDIR)/$(MANDIR)/man1
	cp $(PACKAGENAME).1 $(DESTDIR)/$(MANDIR)/man1
	
clean:
	rm -f $(OBJS) $(PACKAGENAME) core

.tag: .version
	cat $< | sed -e 'y/./_/' > $@

.timestamp:
	date --utc +%Y%m%d%H%M%S > $@
                                                                               
release: .tag
	cvs tag -cF `cat .tag`
	rm -rf $(PACKAGENAME)-`cat .version`
	cvs export -r `cat .tag` -d $(PACKAGENAME)-`cat .version` `cat CVS/Repository`
	cat $(PACKAGENAME)-`cat .version`/$(PACKAGENAME).spec.in | sed -e "s/\@VERSION\@/`cat .version`/g" > $(PACKAGENAME)-`cat .version`/$(PACKAGENAME).spec
	tar cfz $(PACKAGENAME)-`cat .version`.tar.gz $(PACKAGENAME)-`cat .version`
	rm -rf $(PACKAGENAME)-`cat .version`

snapshot: .timestamp
	rm -rf $(PACKAGENAME)-$(SNAPSHOT)
	cvs export -r HEAD -d $(PACKAGENAME)-$(SNAPSHOT) `cat CVS/Repository`
	cat $(PACKAGENAME)-$(SNAPSHOT)/$(PACKAGENAME).spec.in | sed -e "s/\@VERSION\@/$(SNAPSHOT)/g" > $(PACKAGENAME)-$(SNAPSHOT)/$(PACKAGENAME).spec
	tar cfz $(PACKAGENAME)-$(SNAPSHOT).tar.gz $(PACKAGENAME)-$(SNAPSHOT)
	rm -rf $(PACKAGENAME)-$(SNAPSHOT)
	rm -f .timestamp

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null

# DO NOT DELETE

hw.o: hw.h osutils.h
main.o: hw.h print.h version.h mem.h dmi.h cpuinfo.h cpuid.h device-tree.h
main.o: pci.h pcmcia.h ide.h scsi.h spd.h network.h isapnp.h
print.o: print.h hw.h version.h osutils.h
mem.o: mem.h hw.h
dmi.o: dmi.h hw.h
device-tree.o: device-tree.h hw.h osutils.h
cpuinfo.o: cpuinfo.h hw.h osutils.h
osutils.o: osutils.h
pci.o: pci.h hw.h osutils.h
version.o: version.h
cpuid.o: cpuid.h hw.h
ide.o: cpuinfo.h hw.h osutils.h cdrom.h disk.h
cdrom.o: cdrom.h hw.h
pcmcia.o: pcmcia.h hw.h osutils.h
scsi.o: mem.h hw.h cdrom.h disk.h osutils.h
disk.o: disk.h hw.h
spd.o: spd.h hw.h osutils.h
network.o: network.h hw.h osutils.h
isapnp.o: isapnp.h hw.h pnp.h
pnp.o: pnp.h hw.h

## lshw 02.03

=== src/Makefile ===
PACKAGENAME:=lshw
export PACKAGENAME
SNAPSHOT=0.`cat .timestamp`

DESTDIR=/
PREFIX=/usr
SBINDIR=$(PREFIX)/sbin
MANDIR=$(PREFIX)/share/man
DATADIR=$(PREFIX)/share
export DESTDIR
export PREFIX
export SBINDIR
export MANDIR
export DATADIR

CXX=c++
INCLUDES=-I./core/
DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
CXXFLAGS=-g -Wall -Os $(INCLUDES) $(DEFINES)
LDFLAGS=-L./core/
LDSTATIC=-static
LIBS=-llshw

DATAFILES = pci.ids usb.ids oui.txt manuf.txt

all: $(PACKAGENAME) $(PACKAGENAME).1 $(DATAFILES)

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

.PHONY: core
core:
	+make -C core all

$(PACKAGENAME): core $(PACKAGENAME).o
	$(CXX) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS) 

.PHONY: gui
gui: core
	+make -C gui all

.PHONY: static
static: $(PACKAGENAME)-static

$(PACKAGENAME)-static: core/lib$(PACKAGENAME).a $(PACKAGENAME).o
	$(CXX) $(LDSTATIC) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
	strip $@

.PHONY: compressed
compressed: $(PACKAGENAME)-compressed

$(PACKAGENAME)-compressed: $(PACKAGENAME)-static
	upx -9 -o $@ $<

$(PACKAGENAME).1: $(PACKAGENAME).sgml
	docbook2man $<

pci.ids:
	wget http://pciids.sourceforge.net/pci.ids

usb.ids:
	wget http://www.linux-usb.org/usb.ids

oui.txt:
	wget http://standards.ieee.org/regauth/oui/oui.txt

manuf.txt:
	wget http://www.ethereal.com/distribution/manuf.txt

install: all
	-mkdir -p $(DESTDIR)
	-mkdir -p $(DESTDIR)/$(SBINDIR)
	cp $(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
	strip $(DESTDIR)/$(SBINDIR)/$(PACKAGENAME)
	-mkdir -p $(DESTDIR)/$(MANDIR)/man1
	cp $(PACKAGENAME).1 $(DESTDIR)/$(MANDIR)/man1
	-mkdir -p $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
	cp $(DATAFILES) $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)

install-gui: gui
	-mkdir -p $(DESTDIR)
	-mkdir -p $(DESTDIR)/$(SBINDIR)
	cp gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
	
clean:
	rm -f $(PACKAGENAME).o $(PACKAGENAME) $(PACKAGENAME)-static $(PACKAGENAME)-compressed
	make -C core clean
	make -C gui clean

.timestamp:
	date --utc +%Y%m%d%H%M%S > $@

$(PACKAGENAME).spec: $(PACKAGENAME).spec.in
	cat $^ | sed -e "s/\@VERSION\@/`cat ../.version`/g" > $@
                                                                               
release: $(PACKAGENAME).spec
	mkdir -p ../../releases
	svn copy .. `dirname ${PWD}`/releases/`cat ../.version`
	svn commit `dirname ${PWD}`/releases/`cat ../.version` -m "released version "`cat ../.version`" of "$(PACKAGENAME)
	rm -rf $(PACKAGENAME)-`cat ../.version`
	svn export ../../releases/`cat ../.version` $(PACKAGENAME)-`cat ../.version`
	cp $^ $(PACKAGENAME)-`cat ../.version`/$(PACKAGENAME).spec
	tar cfz $(PACKAGENAME)-`cat ../.version`.tar.gz --owner=0 --group=0 --numeric-owner --mode="go-w" $(PACKAGENAME)-`cat ../.version`
	rm -rf $(PACKAGENAME)-`cat ../.version`

snapshot: .timestamp
	rm -rf $(PACKAGENAME)-$(SNAPSHOT)
	svn export -r HEAD .. $(PACKAGENAME)-$(SNAPSHOT)
	cat $(PACKAGENAME)-$(SNAPSHOT)/src/$(PACKAGENAME).spec.in | sed -e "s/\@VERSION\@/$(SNAPSHOT)/g" > $(PACKAGENAME)-$(SNAPSHOT)/$(PACKAGENAME).spec
	tar cfz $(PACKAGENAME)-$(SNAPSHOT).tar.gz --owner=0 --group=0 --numeric-owner --mode="go-w" $(PACKAGENAME)-$(SNAPSHOT)
	rm -rf $(PACKAGENAME)-$(SNAPSHOT)
	rm -f .timestamp

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null


# DO NOT DELETE

=== src/core/Makefile ===
PACKAGENAME?=lshw

CXX=c++
INCLUDES=
DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
CXXFLAGS=-g -Wall -Os $(INCLUDES) $(DEFINES)
LDFLAGS=
LDSTATIC=
LIBS=

OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o
SRCS = $(OBJS:.o=.cc)

all: lib$(PACKAGENAME).a

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

lib$(PACKAGENAME).a: $(OBJS)
	$(AR) rs $@ $^

install: all
	
clean:
	rm -f $(OBJS) lib$(PACKAGENAME).a

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null


# DO NOT DELETE

hw.o: hw.h osutils.h
main.o: hw.h print.h version.h options.h mem.h dmi.h cpuinfo.h cpuid.h
main.o: device-tree.h pci.h pcmcia.h ide.h scsi.h spd.h network.h isapnp.h
main.o: fb.h usb.h sysfs.h display.h
print.o: print.h hw.h options.h version.h osutils.h
mem.o: mem.h hw.h
dmi.o: dmi.h hw.h osutils.h
device-tree.o: device-tree.h hw.h osutils.h
cpuinfo.o: cpuinfo.h hw.h osutils.h
osutils.o: osutils.h
pci.o: pci.h hw.h osutils.h
version.o: version.h
cpuid.o: cpuid.h hw.h
ide.o: cpuinfo.h hw.h osutils.h cdrom.h disk.h heuristics.h
cdrom.o: cdrom.h hw.h
pcmcia.o: pcmcia.h hw.h osutils.h
scsi.o: mem.h hw.h cdrom.h disk.h osutils.h heuristics.h
disk.o: disk.h hw.h
spd.o: spd.h hw.h osutils.h
network.o: network.h hw.h osutils.h sysfs.h
isapnp.o: isapnp.h hw.h pnp.h
pnp.o: pnp.h hw.h
fb.o: fb.h hw.h
options.o: options.h osutils.h
usb.o: usb.h hw.h osutils.h heuristics.h
sysfs.o: sysfs.h hw.h osutils.h
display.o: display.h hw.h
heuristics.o: sysfs.h hw.h osutils.h

=== src/gui/Makefile ===
PACKAGENAME?=lshw

CXX=c++
CC=cc

DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
GTKINCLUDES=$(shell pkg-config gtk+-2.0 --cflags)
INCLUDES=-I../core $(GTKINCLUDES)
CXXFLAGS=-g -Wall -Os $(INCLUDES) $(DEFINES)
CFLAGS=$(CXXFLAGS) $(DEFINES)
GTKLIBS=$(shell pkg-config gtk+-2.0 --libs)
LIBS=-L../core -llshw $(GTKLIBS)
LDFLAGS=

OBJS = gtk-lshw.o interface.o support.o callbacks.o engine.o print.o
SRCS = $(OBJS:.o=.c)

all: gtk-$(PACKAGENAME)

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

interface.c: gtk-lshw.glade gtk-lshw.gladep
	glade-2 -w gtk-lshw.glade

gtk-$(PACKAGENAME): $(OBJS) ../core/liblshw.a
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

install: all
	strip gtk-$(PACKAGENAME)
	
clean:
	rm -f $(OBJS) gtk-$(PACKAGENAME) gtk-lshw.glade.bak gtk-lshw.gladep.bak interface.c.bak interface.h.bak callbacks.c.bak callbacks.h.bak Makefile.bak

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null


# DO NOT DELETE

gtk-lshw.o: interface.h support.h
interface.o: callbacks.h interface.h support.h
support.o: support.h
callbacks.o: callbacks.h interface.h support.h

## lshw 02.06

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PACKAGENAME:=lshw
 export PACKAGENAME
-SNAPSHOT=0.`cat .timestamp`
+SNAPSHOT=0.$(shell cat .timestamp)
 
 DESTDIR=/
 PREFIX=/usr
@@ -17,7 +17,10 @@
 INCLUDES=-I./core/
 DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
 CXXFLAGS=-g -Wall -Os $(INCLUDES) $(DEFINES)
-LDFLAGS=-L./core/
+LDFLAGS=-L./core/ -Os -s
+ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
+	LDFLAGS+= -Wl,--as-needed
+endif
 LDSTATIC=-static
 LIBS=-llshw
 
@@ -33,7 +36,7 @@
 	+make -C core all
 
 $(PACKAGENAME): core $(PACKAGENAME).o
-	$(CXX) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS) 
+	$(CXX) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
 
 .PHONY: gui
 gui: core
@@ -42,7 +45,7 @@
 .PHONY: static
 static: $(PACKAGENAME)-static
 
-$(PACKAGENAME)-static: core/lib$(PACKAGENAME).a $(PACKAGENAME).o
+$(PACKAGENAME)-static: core core/lib$(PACKAGENAME).a $(PACKAGENAME).o
 	$(CXX) $(LDSTATIC) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
 	strip $@
 
@@ -81,6 +84,8 @@
 	-mkdir -p $(DESTDIR)
 	-mkdir -p $(DESTDIR)/$(SBINDIR)
 	cp gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
+	-mkdir -p $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
+	cp gui/artwork/*.svg $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
 	
 clean:
 	rm -f $(PACKAGENAME).o $(PACKAGENAME) $(PACKAGENAME)-static $(PACKAGENAME)-compressed

=== src/core/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDSTATIC=
 LIBS=
 
-OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o
+OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o
 SRCS = $(OBJS:.o=.cc)
 
 all: lib$(PACKAGENAME).a

=== src/gui/Makefile ===
--- 
+++ 
@@ -10,9 +10,12 @@
 CFLAGS=$(CXXFLAGS) $(DEFINES)
 GTKLIBS=$(shell pkg-config gtk+-2.0 --libs)
 LIBS=-L../core -llshw $(GTKLIBS)
-LDFLAGS=
+LDFLAGS= -Os -s
+ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
+	LDFLAGS+= -Wl,--as-needed
+endif
 
-OBJS = gtk-lshw.o interface.o support.o callbacks.o engine.o print.o
+OBJS = gtk-lshw.o interface.o support.o callbacks.o engine.o print.o stock.o
 SRCS = $(OBJS:.o=.c)
 
 all: gtk-$(PACKAGENAME)

## lshw 02.10

=== src/core/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDSTATIC=
 LIBS=
 
-OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o
+OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o blockio.o lvm.o ideraid.o
 SRCS = $(OBJS:.o=.cc)
 
 all: lib$(PACKAGENAME).a

## lshw 02.12.01

=== Makefile ===
PACKAGENAME = lshw
export PACKAGENAME

all clean release install snapshot gui install-gui:
	+$(MAKE) -C src $@

=== src/Makefile ===
--- 
+++ 
@@ -2,27 +2,29 @@
 export PACKAGENAME
 SNAPSHOT=0.$(shell cat .timestamp)
 
-DESTDIR=/
-PREFIX=/usr
+DESTDIR?=/
+PREFIX?=/usr
 SBINDIR=$(PREFIX)/sbin
 MANDIR=$(PREFIX)/share/man
 DATADIR=$(PREFIX)/share
+INSTALL?=install -p
+STRIP?=strip
 export DESTDIR
 export PREFIX
 export SBINDIR
 export MANDIR
 export DATADIR
 
-CXX=c++
+CXX?=c++
 INCLUDES=-I./core/
 DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
-CXXFLAGS=-g -Wall -Os $(INCLUDES) $(DEFINES)
-LDFLAGS=-L./core/ -Os -s
+CXXFLAGS=-g -Wall -g $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
+LDFLAGS=-L./core/ -g
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed
 endif
 LDSTATIC=-static
-LIBS=-llshw
+LIBS=-llshw -lresolv
 
 DATAFILES = pci.ids usb.ids oui.txt manuf.txt
 
@@ -42,12 +44,16 @@
 gui: core
 	+make -C gui all
 
+.PHONY: nologo
+nologo:
+	cp -f gui/artwork/nologo/* gui/artwork/
+
 .PHONY: static
 static: $(PACKAGENAME)-static
 
 $(PACKAGENAME)-static: core core/lib$(PACKAGENAME).a $(PACKAGENAME).o
 	$(CXX) $(LDSTATIC) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
-	strip $@
+	$(STRIP) $@
 
 .PHONY: compressed
 compressed: $(PACKAGENAME)-compressed
@@ -71,21 +77,18 @@
 	wget http://www.ethereal.com/distribution/manuf.txt
 
 install: all
-	-mkdir -p $(DESTDIR)
-	-mkdir -p $(DESTDIR)/$(SBINDIR)
-	cp $(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
-	strip $(DESTDIR)/$(SBINDIR)/$(PACKAGENAME)
-	-mkdir -p $(DESTDIR)/$(MANDIR)/man1
-	cp $(PACKAGENAME).1 $(DESTDIR)/$(MANDIR)/man1
-	-mkdir -p $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
-	cp $(DATAFILES) $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
+	$(INSTALL) -m 0755 $(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALL) -m 0644 $(PACKAGENAME).1 $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
+	$(INSTALL) -m 0644 $(DATAFILES) $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
 
 install-gui: gui
-	-mkdir -p $(DESTDIR)
-	-mkdir -p $(DESTDIR)/$(SBINDIR)
-	cp gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
-	-mkdir -p $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
-	cp gui/artwork/*.svg $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
+	$(INSTALL) -m 0755 gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
+	$(INSTALL) -m 0644 gui/artwork/*.svg $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
 	
 clean:
 	rm -f $(PACKAGENAME).o $(PACKAGENAME) $(PACKAGENAME)-static $(PACKAGENAME)-compressed

=== src/core/Makefile ===
PACKAGENAME?=lshw

CXX=c++
INCLUDES=
DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
CXXFLAGS=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
LDFLAGS=
LDSTATIC=
LIBS=

OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia-legacy.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o blockio.o lvm.o ideraid.o pcmcia.o volumes.o mounts.o smp.o
SRCS = $(OBJS:.o=.cc)

all: lib$(PACKAGENAME).a

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

lib$(PACKAGENAME).a: $(OBJS)
	$(AR) rs $@ $^

install: all
	
clean:
	rm -f $(OBJS) lib$(PACKAGENAME).a

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null


# DO NOT DELETE

hw.o: hw.h osutils.h version.h options.h heuristics.h
main.o: hw.h print.h version.h options.h mem.h dmi.h cpuinfo.h cpuid.h
main.o: device-tree.h pci.h pcmcia.h pcmcia-legacy.h ide.h scsi.h spd.h
main.o: network.h isapnp.h fb.h usb.h sysfs.h display.h parisc.h cpufreq.h
main.o: ideraid.h mounts.h
print.o: print.h hw.h options.h version.h osutils.h
mem.o: version.h mem.h hw.h
dmi.o: version.h dmi.h hw.h osutils.h
device-tree.o: version.h device-tree.h hw.h osutils.h
cpuinfo.o: version.h cpuinfo.h hw.h osutils.h
osutils.o: version.h osutils.h
pci.o: version.h pci.h hw.h osutils.h
version.o: version.h
cpuid.o: version.h cpuid.h hw.h
ide.o: version.h cpuinfo.h hw.h osutils.h cdrom.h disk.h heuristics.h
cdrom.o: version.h cdrom.h hw.h partitions.h
pcmcia-legacy.o: version.h pcmcia-legacy.h hw.h osutils.h
scsi.o: version.h mem.h hw.h cdrom.h disk.h osutils.h heuristics.h sysfs.h
disk.o: version.h disk.h hw.h osutils.h heuristics.h partitions.h
spd.o: version.h spd.h hw.h osutils.h
network.o: version.h network.h hw.h osutils.h sysfs.h options.h heuristics.h
isapnp.o: version.h isapnp.h hw.h pnp.h
pnp.o: version.h pnp.h hw.h
fb.o: version.h fb.h hw.h
options.o: version.h options.h osutils.h
usb.o: version.h usb.h hw.h osutils.h heuristics.h
sysfs.o: version.h sysfs.h hw.h osutils.h
display.o: display.h hw.h
heuristics.o: version.h sysfs.h hw.h osutils.h
parisc.o: version.h device-tree.h hw.h osutils.h heuristics.h
cpufreq.o: version.h hw.h osutils.h
partitions.o: version.h partitions.h hw.h blockio.h lvm.h volumes.h osutils.h
blockio.o: version.h blockio.h osutils.h
lvm.o: version.h lvm.h hw.h blockio.h osutils.h
ideraid.o: version.h cpuinfo.h hw.h osutils.h cdrom.h disk.h heuristics.h
pcmcia.o: version.h pcmcia.h hw.h osutils.h sysfs.h
volumes.o: version.h volumes.h hw.h blockio.h lvm.h osutils.h
mounts.o: version.h mounts.h hw.h osutils.h

=== src/gui/Makefile ===
PACKAGENAME?=lshw

CXX?=c++
CC?=cc
STRIP?=strip
OBJCOPY?=objcopy

DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
GTKINCLUDES=$(shell pkg-config gtk+-2.0 --cflags)
INCLUDES=-I../core $(GTKINCLUDES)
CXXFLAGS=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
CFLAGS=$(CXXFLAGS) $(DEFINES)
GTKLIBS=$(shell pkg-config gtk+-2.0 --libs)
LIBS=-L../core -llshw -lresolv $(GTKLIBS)
LDFLAGS=
ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
	LDFLAGS+= -Wl,--as-needed
endif

OBJS = gtk-lshw.o interface.o support.o callbacks.o engine.o print-gui.o stock.o
SRCS = $(OBJS:.o=.c)

all: gtk-$(PACKAGENAME)

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: icon
icon: gtk-$(PACKAGENAME) artwork/logo.svg
	$(OBJCOPY) --add-section .icon=artwork/logo.svg gtk-$(PACKAGENAME)

interface.c: gtk-lshw.glade gtk-lshw.gladep
	glade-2 -w gtk-lshw.glade

gtk-$(PACKAGENAME): $(OBJS) ../core/liblshw.a
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

install: all
	$(STRIP) gtk-$(PACKAGENAME)
	
clean:
	rm -f $(OBJS) gtk-$(PACKAGENAME) gtk-lshw.glade.bak gtk-lshw.gladep.bak interface.c.bak interface.h.bak callbacks.c.bak callbacks.h.bak Makefile.bak

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null


# DO NOT DELETE

gtk-lshw.o: interface.h support.h stock.h engine.h
interface.o: callbacks.h interface.h support.h
support.o: support.h
callbacks.o: callbacks.h interface.h support.h engine.h
stock.o: stock.h

## lshw 02.15

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 PACKAGENAME:=lshw
 export PACKAGENAME
 SNAPSHOT=0.$(shell cat .timestamp)
+
+SQLITE?=0
 
 DESTDIR?=/
 PREFIX?=/usr
@@ -14,17 +16,28 @@
 export SBINDIR
 export MANDIR
 export DATADIR
+export SQLITE
 
 CXX?=c++
 INCLUDES=-I./core/
 DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
 CXXFLAGS=-g -Wall -g $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
+ifeq ($(SQLITE), 1)
+	CXXFLAGS+= -DSQLITE $(shell pkg-config --cflags sqlite3)
+endif
 LDFLAGS=-L./core/ -g
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed
 endif
 LDSTATIC=-static
 LIBS=-llshw -lresolv
+ifeq ($(SQLITE), 1)
+	LIBS+= $(shell pkg-config --libs sqlite3)
+endif
+
+export CXXFLAGS
+export LIBS
+export LDFLAGS
 
 DATAFILES = pci.ids usb.ids oui.txt manuf.txt
 
@@ -39,6 +52,10 @@
 
 $(PACKAGENAME): core $(PACKAGENAME).o
 	$(CXX) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
+
+.PHONY: po
+po:
+	+make -C po all
 
 .PHONY: gui
 gui: core
@@ -83,6 +100,7 @@
 	$(INSTALL) -m 0644 $(PACKAGENAME).1 $(DESTDIR)/$(MANDIR)/man1
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
 	$(INSTALL) -m 0644 $(DATAFILES) $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
+	make -C po install
 
 install-gui: gui
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
@@ -103,7 +121,7 @@
                                                                                
 release: $(PACKAGENAME).spec
 	mkdir -p ../../releases
-	svn copy .. `dirname ${PWD}`/releases/`cat ../.version`
+	svn copy ${PWD} `dirname ${PWD}`/releases/`cat ../.version`
 	svn commit `dirname ${PWD}`/releases/`cat ../.version` -m "released version "`cat ../.version`" of "$(PACKAGENAME)
 	rm -rf $(PACKAGENAME)-`cat ../.version`
 	svn export ../../releases/`cat ../.version` $(PACKAGENAME)-`cat ../.version`

=== src/gui/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 CXXFLAGS=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
 CFLAGS=$(CXXFLAGS) $(DEFINES)
 GTKLIBS=$(shell pkg-config gtk+-2.0 --libs)
-LIBS=-L../core -llshw -lresolv $(GTKLIBS)
+LIBS=-L../core -llshw -lresolv -lsqlite3 $(GTKLIBS)
 LDFLAGS=
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed

## lshw 02.16

=== Makefile ===
PACKAGENAME = lshw
export PACKAGENAME

version.cpe: .version
	echo -n cpe:/a:ezix:$(PACKAGENAME): > $@
	cat $^ >> $@

all clean release install snapshot gui install-gui:
	+$(MAKE) -C src $@

=== src/core/Makefile ===
PACKAGENAME?=lshw

CXX=c++
INCLUDES=
DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
CXXFLAGS?=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
LDFLAGS=
LDSTATIC=
LIBS=

OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia-legacy.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o blockio.o lvm.o ideraid.o pcmcia.o volumes.o mounts.o smp.o abi.o jedec.o dump.o
ifeq ($(SQLITE), 1)
	OBJS+= db.o
endif
SRCS = $(OBJS:.o=.cc)

all: lib$(PACKAGENAME).a

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

lib$(PACKAGENAME).a: $(OBJS)
	$(AR) rs $@ $^

install: all
	
clean:
	rm -f $(OBJS) lib$(PACKAGENAME).a

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null


# DO NOT DELETE

hw.o: hw.h osutils.h version.h config.h options.h heuristics.h
main.o: hw.h print.h version.h options.h mem.h dmi.h cpuinfo.h cpuid.h
main.o: device-tree.h pci.h pcmcia.h pcmcia-legacy.h ide.h scsi.h spd.h
main.o: network.h isapnp.h fb.h usb.h sysfs.h display.h parisc.h cpufreq.h
main.o: ideraid.h mounts.h smp.h abi.h
print.o: print.h hw.h options.h version.h osutils.h config.h
mem.o: version.h config.h mem.h hw.h
dmi.o: version.h config.h dmi.h hw.h osutils.h
device-tree.o: version.h device-tree.h hw.h osutils.h
cpuinfo.o: version.h cpuinfo.h hw.h osutils.h
osutils.o: version.h osutils.h
pci.o: version.h config.h pci.h hw.h osutils.h options.h
version.o: version.h config.h
cpuid.o: version.h cpuid.h hw.h
ide.o: version.h cpuinfo.h hw.h osutils.h cdrom.h disk.h heuristics.h
cdrom.o: version.h cdrom.h hw.h partitions.h
pcmcia-legacy.o: version.h pcmcia-legacy.h hw.h osutils.h
scsi.o: version.h mem.h hw.h cdrom.h disk.h osutils.h heuristics.h sysfs.h
disk.o: version.h disk.h hw.h osutils.h heuristics.h partitions.h
spd.o: version.h spd.h hw.h osutils.h
network.o: version.h config.h network.h hw.h osutils.h sysfs.h options.h
network.o: heuristics.h
isapnp.o: version.h isapnp.h hw.h pnp.h
pnp.o: version.h pnp.h hw.h
fb.o: version.h fb.h hw.h
options.o: version.h options.h osutils.h
usb.o: version.h usb.h hw.h osutils.h heuristics.h options.h
sysfs.o: version.h sysfs.h hw.h osutils.h
display.o: display.h hw.h
heuristics.o: version.h sysfs.h hw.h osutils.h
parisc.o: version.h device-tree.h hw.h osutils.h heuristics.h
cpufreq.o: version.h hw.h osutils.h
partitions.o: version.h partitions.h hw.h blockio.h lvm.h volumes.h osutils.h
blockio.o: version.h blockio.h osutils.h
lvm.o: version.h lvm.h hw.h blockio.h osutils.h
ideraid.o: version.h cpuinfo.h hw.h osutils.h cdrom.h disk.h heuristics.h
pcmcia.o: version.h pcmcia.h hw.h osutils.h sysfs.h
volumes.o: version.h volumes.h hw.h blockio.h lvm.h osutils.h
mounts.o: version.h mounts.h hw.h osutils.h
smp.o: version.h smp.h hw.h osutils.h
abi.o: version.h abi.h hw.h osutils.h
jedec.o: jedec.h

=== src/gui/Makefile ===
--- 
+++ 
@@ -10,14 +10,14 @@
 INCLUDES=-I../core $(GTKINCLUDES)
 CXXFLAGS=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
 CFLAGS=$(CXXFLAGS) $(DEFINES)
-GTKLIBS=$(shell pkg-config gtk+-2.0 --libs)
+GTKLIBS=$(shell pkg-config gtk+-2.0 gmodule-2.0 --libs)
 LIBS=-L../core -llshw -lresolv -lsqlite3 $(GTKLIBS)
 LDFLAGS=
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed
 endif
 
-OBJS = gtk-lshw.o interface.o support.o callbacks.o engine.o print-gui.o stock.o
+OBJS = gtk-lshw.o callbacks.o engine.o print-gui.o stock.o
 SRCS = $(OBJS:.o=.c)
 
 all: gtk-$(PACKAGENAME)
@@ -42,7 +42,7 @@
 	$(STRIP) gtk-$(PACKAGENAME)
 	
 clean:
-	rm -f $(OBJS) gtk-$(PACKAGENAME) gtk-lshw.glade.bak gtk-lshw.gladep.bak interface.c.bak interface.h.bak callbacks.c.bak callbacks.h.bak Makefile.bak
+	rm -f $(OBJS) gtk-$(PACKAGENAME) gtk-lshw.glade.bak gtk-lshw.gladep.bak callbacks.c.bak callbacks.h.bak Makefile.bak
 
 depend:
 	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null
@@ -50,8 +50,6 @@
 
 # DO NOT DELETE
 
-gtk-lshw.o: interface.h support.h stock.h engine.h
-interface.o: callbacks.h interface.h support.h
-support.o: support.h
-callbacks.o: callbacks.h interface.h support.h engine.h
+gtk-lshw.o: stock.h engine.h
+callbacks.o: callbacks.h support.h engine.h
 stock.o: stock.h

## lshw 02.17

=== src/Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	wget http://standards.ieee.org/regauth/oui/oui.txt
 
 manuf.txt:
-	wget http://www.ethereal.com/distribution/manuf.txt
+	wget -O $@ http://anonsvn.wireshark.org/wireshark/trunk/manuf
 
 install: all
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
@@ -106,6 +106,8 @@
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
 	$(INSTALL) -m 0755 gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/ui
+	$(INSTALL) -m 0644 gui/*.ui $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/ui
 	$(INSTALL) -m 0644 gui/artwork/*.svg $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
 	
 clean:

=== src/core/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDSTATIC=
 LIBS=
 
-OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia-legacy.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o blockio.o lvm.o ideraid.o pcmcia.o volumes.o mounts.o smp.o abi.o jedec.o dump.o
+OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia-legacy.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o blockio.o lvm.o ideraid.o pcmcia.o volumes.o mounts.o smp.o abi.o jedec.o dump.o fat.o
 ifeq ($(SQLITE), 1)
 	OBJS+= db.o
 endif

## lshw 02.18

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PACKAGENAME:=lshw
 export PACKAGENAME
-SNAPSHOT=0.$(shell cat .timestamp)
+VERSION?= $(shell git describe --tags --long | cut -d - -f 1,2 | tr - .)
 
 SQLITE?=0
 
@@ -115,30 +115,6 @@
 	make -C core clean
 	make -C gui clean
 
-.timestamp:
-	date --utc +%Y%m%d%H%M%S > $@
-
-$(PACKAGENAME).spec: $(PACKAGENAME).spec.in
-	cat $^ | sed -e "s/\@VERSION\@/`cat ../.version`/g" > $@
-                                                                               
-release: $(PACKAGENAME).spec
-	mkdir -p ../../releases
-	svn copy ${PWD} `dirname ${PWD}`/releases/`cat ../.version`
-	svn commit `dirname ${PWD}`/releases/`cat ../.version` -m "released version "`cat ../.version`" of "$(PACKAGENAME)
-	rm -rf $(PACKAGENAME)-`cat ../.version`
-	svn export ../../releases/`cat ../.version` $(PACKAGENAME)-`cat ../.version`
-	cp $^ $(PACKAGENAME)-`cat ../.version`/$(PACKAGENAME).spec
-	tar cfz $(PACKAGENAME)-`cat ../.version`.tar.gz --owner=0 --group=0 --numeric-owner --mode="go-w" $(PACKAGENAME)-`cat ../.version`
-	rm -rf $(PACKAGENAME)-`cat ../.version`
-
-snapshot: .timestamp
-	rm -rf $(PACKAGENAME)-$(SNAPSHOT)
-	svn export -r HEAD .. $(PACKAGENAME)-$(SNAPSHOT)
-	cat $(PACKAGENAME)-$(SNAPSHOT)/src/$(PACKAGENAME).spec.in | sed -e "s/\@VERSION\@/$(SNAPSHOT)/g" > $(PACKAGENAME)-$(SNAPSHOT)/$(PACKAGENAME).spec
-	tar cfz $(PACKAGENAME)-$(SNAPSHOT).tar.gz --owner=0 --group=0 --numeric-owner --mode="go-w" $(PACKAGENAME)-$(SNAPSHOT)
-	rm -rf $(PACKAGENAME)-$(SNAPSHOT)
-	rm -f .timestamp
-
 depend:
 	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null

=== src/gui/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 CXXFLAGS=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
 CFLAGS=$(CXXFLAGS) $(DEFINES)
 GTKLIBS=$(shell pkg-config gtk+-2.0 gmodule-2.0 --libs)
-LIBS=-L../core -llshw -lresolv -lsqlite3 $(GTKLIBS)
+LIBS=-L../core -llshw -lresolv $(GTKLIBS)
 LDFLAGS=
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed

## lshw 02.18.85

=== Makefile ===
PACKAGENAME = lshw
VERSION?= $(shell git describe --tags | cut -d - -f 1,2 | tr - .)
export PACKAGENAME

all clean install snapshot gui install-gui:
	+$(MAKE) -C src $@

version.cpe: .version
	echo -n cpe:/a:ezix:$(PACKAGENAME): > $@
	cat $^ >> $@

.PHONY: $(PACKAGENAME).spec

$(PACKAGENAME).spec: $(PACKAGENAME).spec.in
	cat $^ | sed -e s/\@VERSION\@/$(VERSION)/g > $@

release: $(PACKAGENAME).spec
	git archive --prefix=$(PACKAGENAME)-$(VERSION)/ -o $(PACKAGENAME)-$(VERSION).tar HEAD
	tar --transform s!^!$(PACKAGENAME)-$(VERSION)/! -rf $(PACKAGENAME)-$(VERSION).tar $^
	gzip -f $(PACKAGENAME)-$(VERSION).tar

=== src/core/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PACKAGENAME?=lshw
 
-CXX=c++
+CXX?=$(CROSS_COMPILE)c++
 INCLUDES=
 DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
 CXXFLAGS?=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
@@ -8,7 +8,7 @@
 LDSTATIC=
 LIBS=
 
-OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia-legacy.o scsi.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o blockio.o lvm.o ideraid.o pcmcia.o volumes.o mounts.o smp.o abi.o jedec.o dump.o fat.o
+OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia-legacy.o scsi.o s390.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o blockio.o lvm.o ideraid.o pcmcia.o volumes.o mounts.o smp.o abi.o jedec.o dump.o fat.o virtio.o vio.o
 ifeq ($(SQLITE), 1)
 	OBJS+= db.o
 endif
@@ -37,9 +37,9 @@
 main.o: hw.h print.h version.h options.h mem.h dmi.h cpuinfo.h cpuid.h
 main.o: device-tree.h pci.h pcmcia.h pcmcia-legacy.h ide.h scsi.h spd.h
 main.o: network.h isapnp.h fb.h usb.h sysfs.h display.h parisc.h cpufreq.h
-main.o: ideraid.h mounts.h smp.h abi.h
+main.o: ideraid.h mounts.h smp.h abi.h s390.h virtio.h pnp.h vio.h
 print.o: print.h hw.h options.h version.h osutils.h config.h
-mem.o: version.h config.h mem.h hw.h
+mem.o: version.h config.h mem.h hw.h sysfs.h
 dmi.o: version.h config.h dmi.h hw.h osutils.h
 device-tree.o: version.h device-tree.h hw.h osutils.h
 cpuinfo.o: version.h cpuinfo.h hw.h osutils.h
@@ -56,7 +56,7 @@
 network.o: version.h config.h network.h hw.h osutils.h sysfs.h options.h
 network.o: heuristics.h
 isapnp.o: version.h isapnp.h hw.h pnp.h
-pnp.o: version.h pnp.h hw.h
+pnp.o: version.h pnp.h hw.h sysfs.h osutils.h
 fb.o: version.h fb.h hw.h
 options.o: version.h options.h osutils.h
 usb.o: version.h usb.h hw.h osutils.h heuristics.h options.h
@@ -75,3 +75,6 @@
 smp.o: version.h smp.h hw.h osutils.h
 abi.o: version.h abi.h hw.h osutils.h
 jedec.o: jedec.h
+s390.o: hw.h sysfs.h disk.h s390.h
+virtio.o: version.h hw.h sysfs.h disk.h virtio.h
+vio.o: version.h hw.h sysfs.h vio.h

=== src/gui/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PACKAGENAME?=lshw
 
-CXX?=c++
-CC?=cc
+CXX?=$(CROSS_COMPILE)c++
+CC?=$(CROSS_COMPILE)cc
 STRIP?=strip
 OBJCOPY?=objcopy
 
@@ -9,9 +9,15 @@
 GTKINCLUDES=$(shell pkg-config gtk+-2.0 --cflags)
 INCLUDES=-I../core $(GTKINCLUDES)
 CXXFLAGS=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
+ifeq ($(SQLITE), 1)
+	CXXFLAGS+= -DSQLITE $(shell pkg-config --cflags sqlite3)
+endif
 CFLAGS=$(CXXFLAGS) $(DEFINES)
 GTKLIBS=$(shell pkg-config gtk+-2.0 gmodule-2.0 --libs)
-LIBS=-L../core -llshw -lresolv $(GTKLIBS)
+LIBS+=-L../core -llshw -lresolv $(GTKLIBS)
+ifeq ($(SQLITE), 1)
+	LIBS+= $(shell pkg-config --libs sqlite3)
+endif
 LDFLAGS=
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed

=== debian/changelog ===
lshw (02.18.85-0.7ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Cherry pick two patches from upstream to fix JSON formatting via
      https://ezix.org/src/pkg/lshw/pulls/28
    - Add cherry-picked patches for NMVe support

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Thu, 12 Aug 2021 08:07:36 -0500

lshw (02.18.85-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for floating point exception on invalid FAT,
    thanks to Dave Gomboc and Bernhard Übelacker. (Closes: #946940)

 -- Adrian Bunk <bunk@debian.org>  Sat, 17 Jul 2021 20:19:28 +0300

lshw (02.18.85-0.6ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry pick two patches from upstream to fix JSON formatting via
      https://ezix.org/src/pkg/lshw/pulls/28
    - Add cherry-picked patches for NMVe support

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Feb 2021 15:27:14 +0100

lshw (02.18.85-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Recommends from pciutils/usbutils to pci.ids/usb.ids (Closes:
    #944503).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jan 2021 22:41:23 +0000

lshw (02.18.85-0.5ubuntu2) hirsute; urgency=medium

  * Add cherry-picked patches for NMVe support (LP: #1826737):
    - d/p/lp1826737-code-clean-up.patch
    - d/p/lp1826737-implement-NVMe-scanning.patch
    - d/p/lp1826737-align-physical-ID-with-NVMe-namespace.patch
    - d/p/lp1826737-treat-NVMe-namespaces-like-disks.patch

 -- Victor Manuel Tapia King <victor.tapia@canonical.com>  Thu, 17 Dec 2020 10:34:41 +0100

lshw (02.18.85-0.5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable (LP: #1902515)
    - Removed Ubuntu delta, replaced by two patches applied upstream
  * Cherry pick two patches from upstream to fix JSON formatting via
    https://ezix.org/src/pkg/lshw/pulls/28:
    - 2b1c730b493d647bbab4854713571458e82a81e7.patch
    - 15565229509455527de9ce7cbb9530e2b31d043b.patch

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 02 Nov 2020 13:04:29 +0100

lshw (02.18.85-0.5) unstable; urgency=medium

  * Desactivate revert-Fix_JSON_output_format.patch: it's making things worse.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Apr 2020 13:43:52 +0200

lshw (02.18.85-0.4) unstable; urgency=medium

  * Switch to debhelper-compat (= 10).
  * Add revert-Fix_JSON_output_format.patch (Closes: #929206).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Apr 2020 22:07:20 +0200

lshw (02.18.85-0.3ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:51 +0100

lshw (02.18.85-0.3ubuntu1) focal; urgency=medium

  * Cherrypick upstream pull-request/patch to fix json output. LP:
    #1843063

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 30 Jan 2020 16:24:24 +0000

lshw (02.18.85-0.3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Upload to unstable
  * Refresh FTCBFS patch to make it apply on the new release.

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTCBFS: Closes: #839404.
    + Pass triplet-prefixed CC and CXX to make.
    + cross.patch: Make pkg-config substitutable.
    + Use triplet-prefixed pkg-config.

  [ Steve Langasek ]
  * fix -version wrongly passed during build procedure (Closes: #849697)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Jul 2019 14:36:53 +0200

lshw (02.18.85-0.2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Thomas Goirand ]
  * Add patch: add-missing-ethlink-standards.patch, so that cards with newer
    ethernet link types / speed are detected.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Jul 2019 11:15:12 +0200

lshw (02.18.85-0.1) unstable; urgency=medium

  * Non-maintainer upload with prior agreement from maintainer.
  * New upstream release (Closes: #903640).
  * Rebased patches, and fix them for removing path to the src folder.
  * Removed patches applied upstream:
    - Avoid-crash-in-scan_dmi_sysfs-when-running-as-non-ro.patch
    - alpha.patch
    - fix-manpage.patch
    - fix-width-handling.patch
  * Add openstack-pkg-tools build-depends to manage upstream tarballs.
  * Removed quilt from build depends, switch to format 3.0 (quilt).
  * Ran wrap-and-sort -bast.
  * Fixed debian/rules to stop using lshw-<version>/src folder, but just src.
  * Add homepage field.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Jul 2018 15:02:49 +0200

lshw (02.18-0.1) unstable; urgency=medium

  * Non-maintainer upload with permission of the maintainer.
  * New upstream release.  Closes: #823639, #756921, #746616, #758550,
    #767023.
    - Refresh patches for unfortunate new upstream tarball layout.
    - debian/patches/fat-inspection.patch, debian/patches/smbios-noscan.patch:
      drop, fixed upstream.
    - Drop debian/patches/sparc.patch: no longer applies cleanly, and is
      incorrect (double header inclusion).
  * debian/patches/Avoid-crash-in-scan_dmi_sysfs-when-running-as-non-ro.patch:
    patch taken from Ubuntu to fix an upstream regression when running as
    non-root; thanks to dann frazier <dann.frazier@canonical.com>
  * debian/patches/fix-width-handling.patch: Fix regression in detecting
    platform width.

 -- Steve Langasek <vorlon@debian.org>  Mon, 15 Aug 2016 13:42:04 -0700

lshw (02.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable the memory scanning for all architectures other
    than i386 and x86_64. Patch from Leif Lindholm
    <unixsmurf@gmail.com> (Closes: #740034)
  * Prevent segfault if system has FAT partition(s) Patch from
    Alban Browaeys <prahal@yahoo.com> (Closes: #757689)

 -- Neil Williams <codehelp@debian.org>  Thu, 06 Nov 2014 12:16:13 +0000

lshw (02.17-1) unstable; urgency=medium

  [ Alex Henrie ]
  * New upstream release


=== debian/control ===
Source: lshw
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ghe Rivero <ghe@debian.org>
Build-Depends:
 debhelper-compat (= 10),
 libgtk2.0-dev,
 libsqlite3-dev,
Standards-Version: 3.9.4
Homepage: https://github.com/lyonel/lshw
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/lshw
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/lshw.git

Package: lshw
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pci.ids,
 usb.ids,
Description: information about hardware configuration
 A small tool to provide detailed information on the hardware
 configuration of the machine. It can report exact memory
 configuration, firmware version, mainboard configuration, CPU version
 and speed, cache configuration, bus speed, etc. on DMI-capable x86
 systems, on some PowerPC machines (PowerMac G4 is known to work) and AMD64.
 .
 Information can be output in plain text, HTML or XML.

Package: lshw-gtk
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 menu,
 pciutils,
 usbutils,
Description: graphical information about hardware configuration
 A small tool to provide detailed information on the hardware
 configuration of the machine. It can report exact memory
 configuration, firmware version, mainboard configuration, CPU version
 and speed, cache configuration, bus speed, etc. on DMI-capable x86
 systems, on some PowerPC machines (PowerMac G4 is known to work) and AMD64.
 .
 This package provides lshw-gtk (the GTK+ version)

## lshw 02.18.85.3

=== src/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 VERSION?= $(shell git describe --tags --long | cut -d - -f 1,2 | tr - .)
 
 SQLITE?=0
+ZLIB?=0
 
 DESTDIR?=/
 PREFIX?=/usr
@@ -17,34 +18,48 @@
 export MANDIR
 export DATADIR
 export SQLITE
+export ZLIB
 
-CXX?=c++
+CXX?=$(CROSS_COMPILE)c++
 INCLUDES=-I./core/
-DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
+DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\" -DVERSION=\"$(VERSION)\"
 CXXFLAGS=-g -Wall -g $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
 ifeq ($(SQLITE), 1)
 	CXXFLAGS+= -DSQLITE $(shell pkg-config --cflags sqlite3)
 endif
-LDFLAGS=-L./core/ -g
+ifeq ($(ZLIB), 1)
+	CXXFLAGS+= -DZLIB $(shell pkg-config --cflags zlib)
+endif
+LDFLAGS+=-L./core/ -g
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed
 endif
 LDSTATIC=-static
-LIBS=-llshw -lresolv
+LIBS+=-llshw -lresolv
 ifeq ($(SQLITE), 1)
 	LIBS+= $(shell pkg-config --libs sqlite3)
+endif
+ifeq ($(ZLIB), 1)
+	LIBS+= $(shell pkg-config --libs zlib)
 endif
 
 export CXXFLAGS
 export LIBS
 export LDFLAGS
 
-DATAFILES = pci.ids usb.ids oui.txt manuf.txt
+ifeq ($(ZLIB), 1)
+DATAFILES = pci.ids.gz usb.ids.gz oui.txt.gz manuf.txt.gz pnp.ids.gz pnpid.txt.gz
+else
+DATAFILES = pci.ids usb.ids oui.txt manuf.txt pnp.ids pnpid.txt
+endif
 
 all: $(PACKAGENAME) $(PACKAGENAME).1 $(DATAFILES)
 
 .cc.o:
 	$(CXX) $(CXXFLAGS) -c $< -o $@
+
+%.gz: %
+	gzip -c $< > $@
 
 .PHONY: core
 core:
@@ -93,6 +108,12 @@
 manuf.txt:
 	wget -O $@ http://anonsvn.wireshark.org/wireshark/trunk/manuf
 
+pnp.ids:
+	wget https://git.fedorahosted.org/cgit/hwdata.git/plain/pnp.ids
+
+pnpid.txt:
+	wget http://www-pc.uni-regensburg.de/hardware/TECHNIK/PCI_PNP/pnpid.txt
+
 install: all
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
 	$(INSTALL) -m 0755 $(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
@@ -112,6 +133,7 @@
 	
 clean:
 	rm -f $(PACKAGENAME).o $(PACKAGENAME) $(PACKAGENAME)-static $(PACKAGENAME)-compressed
+	rm -f $(addsuffix .gz,$(DATAFILES))
 	make -C core clean
 	make -C gui clean

=== debian/changelog ===
lshw (02.18.85.3-1+dde) UNRELEASED; urgency=medium

  * 修复json输出memory信息时,格式错误问题.

 -- lichangze <lichangze@uniontech.com>  Mon, 27 Mar 2023 12:19:37 +0800

lshw (02.18.85.2-1+dde) unstable; urgency=medium

  * Prevents burning errors from scanning the cdrom while burning.

 -- liaoyuan <liaoyuan@uniontech.com>  Thu, 13 Oct 2022 14:32:03 +0800

lshw (02.18.85.1-1+dde) unstable; urgency=medium

  * fix memory leak in scandir.

 -- lishengyu <lishengyu@uniontech.com>  Tue, 21 Jun 2022 09:59:11 +0800

lshw (02.18.85-0.2+dde) unstable; urgency=medium

  * Add patch:
    - dmi-fix-memory-clock-calculate-overflow.patch

 -- Binbin Zhou <zhoubinbin@uniontech.com>  Wed, 3 Nov 2021 15:58:40 +0800

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/lyonel/lshw
-include /usr/share/openstack-pkg-tools/pkgos.make

CXX_DEB_FLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export CXX_DEB_FLAGS += -O0
else
	export CXX_DEB_FLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	export INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_BUILD_GNU_TYPE),alpha-linux-gnu)
	export CXX_DEB_FLAGS = -Wall -g
endif


srcdir=src

configure: configure-stamp
configure-stamp:
	dh_testdir
	#Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp patch
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C $(srcdir) core
	$(MAKE) -C $(srcdir) gui
	#/usr/bin/docbook-to-man debian/lshw.sgml > lshw.1
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) -C $(srcdir) clean 

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/lshw.
	$(MAKE) -C $(srcdir) install DESTDIR=$(CURDIR)/debian/lshw
	$(MAKE) -C $(srcdir) install-gui DESTDIR=$(CURDIR)/debian/lshw-gtk

	# data files supplied by pciutils and usbutils
	rm -rf $(CURDIR)/debian/lshw/usr/share/lshw
	#pod2man --lax $(CURDIR)/debian/patches/lshw-gtk.pod > $(CURDIR)/debian/patches/lshw-gtk.1
	cp $(CURDIR)/debian/patches/lshw-gtk.desktop $(CURDIR)/debian/lshw-gtk/usr/share/applications/lshw-gtk.desktop
	cp $(CURDIR)/debian/patches/logo.svg $(CURDIR)/debian/lshw-gtk/usr/share/pixmaps/lshw-gtk.svg
	chmod 644 $(CURDIR)/debian/lshw/usr/share/locale/fr/LC_MESSAGES/lshw.mo

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch
